[2/3] package/nodejs: use shared libhttpparser if available

Submitted by Martin Bark on July 15, 2017, 5:38 p.m.

Details

Message ID 1500140309-26534-2-git-send-email-martin@barkynet.com
State Superseded
Headers show

Commit Message

Martin Bark July 15, 2017, 5:38 p.m.
Signed-off-by: Martin Bark <martin@barkynet.com>
---
 package/nodejs/nodejs.mk | 5 +++++
 1 file changed, 5 insertions(+)

Patch hide | download patch | download mbox

diff --git a/package/nodejs/nodejs.mk b/package/nodejs/nodejs.mk
index a469153..ba7ad3f 100644
--- a/package/nodejs/nodejs.mk
+++ b/package/nodejs/nodejs.mk
@@ -39,6 +39,11 @@  NODEJS_DEPENDENCIES += c-ares
 NODEJS_CONF_OPTS += --shared-cares
 endif
 
+ifeq ($(BR2_PACKAGE_LIBHTTPPARSER),y)
+NODEJS_DEPENDENCIES += libhttpparser
+NODEJS_CONF_OPTS += --shared-http-parser
+endif
+
 ifneq ($(BR2_PACKAGE_NODEJS_NPM),y)
 NODEJS_CONF_OPTS += --without-npm
 endif